<?php

defined( 'ABSPATH' ) || exit;


function word_balloon_custom_enqueue($hook_suffix) {
	
	if( 'post.php' == $hook_suffix || 'post-new.php' == $hook_suffix ) {

		
		require_once WORD_BALLOON_DIR . 'inc/default_settings.php';

		$load_setting = word_balloon_default_settings('load_setting');

		wp_enqueue_style( 'wp-color-picker' );
		wp_enqueue_script( 'wp-color-picker' );
		wp_enqueue_script( 'jquery-ui-dialog' );
		wp_enqueue_style( 'jquery-ui-dialog-min-css', includes_url().'css/jquery-ui-dialog.min.css' );
		
		wp_enqueue_script('word_balloon_balloon_custom_script', WORD_BALLOON_URI . 'js/word_balloon_balloon_custom.min.js',array('wp-color-picker','jquery'),WORD_BALLOON_VERSION,true);



		
		foreach ($load_setting['disable_balloon'] as $key => $value) {
			if($value === 'true')unset($load_setting['type_balloon'][$key]);
		}

		
		foreach ($load_setting['type_balloon'] as $balloon_type => $balloon_name) {
			wp_enqueue_style('word_balloon_skin_'.$balloon_type, WORD_BALLOON_URI . 'css/skin/word_balloon_'.$balloon_type.'.min.css',array('word_balloon_user_style'),WORD_BALLOON_VERSION);
			wp_enqueue_script('word_balloon_post_'.$balloon_type, WORD_BALLOON_URI . 'js/skin/word_balloon_skin_'.$balloon_type.'.min.js',array('word_balloon_balloon_custom_script'),WORD_BALLOON_VERSION,true);
		}

		
		$judge = false;
		if(empty($load_setting['disable_effect'])){
			$judge = true;
		}else{
			foreach ($load_setting['disable_effect'] as $key => $value) {
				if($value === 'true'){
					unset($load_setting['type_effect'][$key]);
				}else{
					$judge = true;
				}
			}
		}

		if($judge){
			foreach ($load_setting['type_effect'] as $effect_type => $effect_name) {
				wp_enqueue_style('word_balloon_effect_'.$effect_type, WORD_BALLOON_URI . 'css/effect/word_balloon_'.$effect_type.'.min.css',array('word_balloon_user_style'),WORD_BALLOON_VERSION);
			}
			
			wp_enqueue_script('word_balloon_effect_script', WORD_BALLOON_URI . 'js/action/word_balloon_action_effect.min.js',array('word_balloon_balloon_custom_script'),WORD_BALLOON_VERSION,true);
		}


		
		$judge = false;
		if(empty($load_setting['disable_filter'])){
			$judge = true;
		}else{
			foreach ($load_setting['disable_filter'] as $key => $value) {
				if($value === 'true'){
					unset($load_setting['type_filter'][$key]);
				}else{
					$judge = true;
				}
			}
		}

		if($judge){
			foreach ($load_setting['type_filter'] as $filter_type => $filter_name) {
				wp_enqueue_style('word_balloon_filter_'.$filter_type, WORD_BALLOON_URI . 'css/filter/word_balloon_'.$filter_type.'.min.css',array('word_balloon_user_style'),WORD_BALLOON_VERSION);
			}
			
			wp_enqueue_script('word_balloon_filter_script', WORD_BALLOON_URI . 'js/action/word_balloon_action_filter.min.js',array('word_balloon_balloon_custom_script'),WORD_BALLOON_VERSION,true);
		}

		
		$judge = false;
		if(empty($load_setting['disable_icon'])){
			$judge = true;
		}else{
			foreach ($load_setting['disable_icon'] as $key => $value) {
				if($value === 'true'){

				}else{
					$judge = true;
				}
			}
		}

		if($judge){
			
			wp_enqueue_script('word_balloon_icon_script', WORD_BALLOON_URI . 'js/action/word_balloon_action_icon.min.js',array('word_balloon_balloon_custom_script'),WORD_BALLOON_VERSION,true);
			wp_enqueue_style('word_balloon_icon', WORD_BALLOON_URI . 'css/word_balloon_icon.min.css',array(),WORD_BALLOON_VERSION);
		}



		
		wp_enqueue_script('word_balloon_base_script', WORD_BALLOON_URI . 'js/action/word_balloon_action_base.min.js',array('word_balloon_balloon_custom_script'),WORD_BALLOON_VERSION,true);

		
		wp_enqueue_script('word_balloon_balloon_script', WORD_BALLOON_URI . 'js/action/word_balloon_action_balloon.min.js',array('word_balloon_balloon_custom_script'),WORD_BALLOON_VERSION,true);

		
		wp_enqueue_script('word_balloon_avatar_script', WORD_BALLOON_URI . 'js/action/word_balloon_action_avatar.min.js',array('word_balloon_balloon_custom_script'),WORD_BALLOON_VERSION,true);

		include_once( ABSPATH . 'wp-admin/includes/plugin.php' );
		if(is_plugin_active( 'word-balloon-pro/word-balloon-pro.php' )):
			
			wp_enqueue_script('word_balloon_favorite_script', WORD_BALLOON_URI . 'js/action/word_balloon_action_favorite.min.js',array('word_balloon_balloon_custom_script'),WORD_BALLOON_VERSION,true);
		endif;

		
		wp_enqueue_script('word_balloon_restore_script', WORD_BALLOON_URI . 'js/action/word_balloon_action_restore.min.js',array('word_balloon_balloon_custom_script'),WORD_BALLOON_VERSION,true);

		
		wp_enqueue_script('word_balloon_post_script', WORD_BALLOON_URI . 'js/word_balloon_post.min.js',array('word_balloon_balloon_custom_script'),WORD_BALLOON_VERSION,true);





		wp_enqueue_style('word_balloon_admin', WORD_BALLOON_URI . 'css/word_balloon_admin.min.css',array('word_balloon_user_style'),WORD_BALLOON_VERSION);
		wp_enqueue_style('word_balloon_post', WORD_BALLOON_URI . 'css/word_balloon_post.min.css',array('word_balloon_admin'),WORD_BALLOON_VERSION);
		wp_enqueue_style('word_balloon_font', WORD_BALLOON_URI . 'css/font/style.min.css',array(),WORD_BALLOON_VERSION);

		
		$translations = word_balloon_scriput_translations();
		wp_localize_script( 'word_balloon_post_script', 'translations', $translations );

		
		add_editor_style( WORD_BALLOON_URI . 'css/word_balloon_user.min.css');
		

		require_once WORD_BALLOON_DIR . 'inc/admin/admin_post.php';
		add_action('admin_footer', 'word_balloon_post_page');

		word_balloon_user_styles();


		if($load_setting['enable_sound'] === 'true')
			wp_enqueue_script( 'word_balloon_action_sound_script', WORD_BALLOON_URI . 'js/action/word_balloon_action_sound.min.js', array(), WORD_BALLOON_VERSION,true );

		add_action( 'admin_print_footer_scripts' , 'word_balloon_custom_edit_style' , 100);

		if( get_bloginfo('version') < 4.9){
			add_action( 'admin_print_footer_scripts', 'word_balloon_old_wp' , 99999 );
		}
	}
}
