<?php
defined( 'ABSPATH' ) || exit;

function word_balloon_post_page() {

	
	require_once WORD_BALLOON_DIR . 'inc/default_settings.php';

	$load_setting = word_balloon_default_settings('load_setting');
	$atts = word_balloon_default_settings('atts');

	
	require_once WORD_BALLOON_DIR . 'inc/shortcode/shortcode_build_balloon.php';

	$easy_mode = '';

	if($load_setting['easy_mode'] != 'false'){
		$easy_mode = ' style="display: none;"';
	}

	if(!empty($load_setting['disable_balloon'])){
		foreach ($load_setting['disable_balloon'] as $key => $value) {
			if($value === 'true')unset($load_setting['type_balloon'][$key]);
		}
	}

	$load_setting['enable_icon'] = $load_setting['enable_effect'] = $load_setting['enable_filter'] = false;

	if(!empty($load_setting['disable_balloon'])){
		foreach ($load_setting['disable_icon'] as $key => $value) {
			if($value === 'true'){
				unset($load_setting['type_icon'][$key]);
			}else{
				$load_setting['enable_icon'] = true;
			}
		}
	}else{
		$load_setting['enable_icon'] = true;
	}

	if(!empty($load_setting['disable_effect'])){
		foreach ($load_setting['disable_effect'] as $key => $value) {
			if($value === 'true'){
				unset($load_setting['type_effect'][$key]);
			}else{
				$load_setting['enable_effect'] = true;
			}
		}
	}else{
		$load_setting['enable_effect'] = true;
	}

	if(!empty($load_setting['disable_filter'])){
		foreach ($load_setting['disable_filter'] as $key => $value) {
			if($value === 'true'){
				unset($load_setting['type_filter'][$key]);
			}else{
				$load_setting['enable_filter'] = true;
			}
		}
	}else{
		$load_setting['enable_filter'] = true;
	}
	?>
	<button type="button" id="w_b_modal_open" class="button" data-target="w_b_modal1" style="display: none;"></button>
	<div id="w_b_overlay" style="display: none;">
		<div class="w_b_container">
			<div class="w_b_inner">
				<div class="w_b_modal">
					<div class="w_b_modal_close_box"><button type="button" class="w_b_modal_close"><svg xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink" aria-hidden="true" width="64" height="64" preserveAspectRatio="xMidYMid meet" viewBox="0 0 304 384"><path d="M299 73L179 192l120 119-30 30-120-119L30 341 0 311l119-119L0 73l30-30 119 119L269 43z" fill="#626262"/></svg></button></div>
					<div class="w_b_easy_mode_contents w_b_flex_box w_b_ai_c w_b_jc_sb">
						<input type="hidden" id="w_b_wordballoon_url" data-w_b_url="<?php echo WORD_BALLOON_URI; ?>" />
						<h2 class="w_b_flex_box" style="margin:0;"><i class="wb-comment" aria-hidden="true" style="margin-right:5px"></i> <?php _e('Insert of word balloon','word-balloon'); ?></h2>
						<div class="w_b_flex_box w_b_ai_c w_b_tooltip" data-tooltip="<?php _e('Restore','word-balloon'); ?>" style="white-space: nowrap;">
							<i id="w_b_do_restore" class="wb-undo" aria-hidden="true" style="font-size:20px;color:#ddd;"></i>
						</div>
						<div class="w_b_flex_box w_b_ai_c">
							<label for="w_b_easy_mode" class="w_b_contents_side_heading"><?php _e('Easy mode','word-balloon'); ?></label>
							<div class="w_b_checkbox">
								<input type="checkbox" id="w_b_easy_mode" name="w_b_easy_mode"<?php checked( $load_setting['easy_mode'], 'true' ); ?> />
								<label for="w_b_easy_mode"></label>
							</div>
						</div>
					</div>
					<div class="w_b_box_pre_load" style="margin-bottom: -10px;padding:0 10px 0;">
						<?php $textarea = '<textarea rows="5" cols="60" name="balloon_quote" placeholder="'.__('Place avatar\'s message here','word-balloon').'" id="w_b_post_text" style="border: 0px solid transparent;box-shadow: none;resize: both;background:transparent;max-width:390px;height:41px;width:calc(100% - 45px);line-height:1.2;scrollbar-base-color: transparent;padding:2px 10px 2px 6px"></textarea>';
						echo word_balloon_build_balloon( $atts , '' , '' , $textarea);  ?>
					</div>

					<form class="w_b_avatar_select_form" name="w_b_avatar_select_form">


						<div class="w_b_flex_box w_b_ai_c w_b_main_select_box">
							<?php
							require_once WORD_BALLOON_DIR . 'inc/post/admin-post_main_select.php';
							word_balloon_post_page_main_select($load_setting);
							?>
						</div>



						<div class="w_b_flex_box w_b_ai_c w_b_avatar_template_wrap">

							<?php

							if(array_filter($load_setting['favorite'])){
								require_once WORD_BALLOON_DIR . 'inc/post/admin-post_favorite.php';
								word_balloon_post_page_favorite($load_setting);
							}


							if(array_filter($load_setting['template'])){
								require_once WORD_BALLOON_DIR . 'inc/post/admin-post_template.php';
								word_balloon_post_page_template($load_setting);
							}

							require_once WORD_BALLOON_DIR . 'inc/post/admin-post_wallpaper.php';
							word_balloon_post_page_wallpaper($load_setting);

							?>

						</div>




						<?php

						require_once WORD_BALLOON_DIR . 'inc/post/admin-post_avatar.php';
						word_balloon_post_page_avatar($load_setting);

						require_once WORD_BALLOON_DIR . 'inc/post/admin-post_balloon.php';
						word_balloon_post_page_balloon($load_setting);


						if($load_setting['enable_icon']){

							require_once WORD_BALLOON_DIR . 'inc/post/admin-post_icon.php';
							word_balloon_post_page_icon($load_setting);

						}

						if($load_setting['enable_effect']){

							require_once WORD_BALLOON_DIR . 'inc/post/admin-post_effect.php';
							word_balloon_post_page_effect($load_setting);

						}

						if($load_setting['enable_filter']){

							require_once WORD_BALLOON_DIR . 'inc/post/admin-post_filter.php';
							word_balloon_post_page_filter($load_setting);

						}


						require_once WORD_BALLOON_DIR . 'inc/post/admin-post_name.php';
						word_balloon_post_page_name($load_setting);

						require_once WORD_BALLOON_DIR . 'inc/post/admin-post_status.php';
						word_balloon_post_page_status($load_setting);


						?>

					</form>
				</div>
			</div>
		</div>


		<div id="w_b_insert_dialog"><i class="wb-check" aria-hidden="true" style="margin-right:5px;"></i> <?php _e('Insert was successful!','word-balloon'); ?></div>
		<div id="w_b_restore_dialog"><i class="wb-check" aria-hidden="true" style="margin-right:5px;"></i> <?php _e('Restore was successful!','word-balloon'); ?></div>
		<input type="hidden" id="w_b_restore" data-enable="false" data-id="" data-avatar_select="" data-avatar_position="" data-avatar_size="" data-choice_balloon="" data-name_position="" data-name="" data-avatar_border_radius="" data-avatar_border="" data-avatar_shadow="" data-balloon_shadow="" data-font_color="" data-balloon_background="" data-avatar_effect="" data-balloon_effect="" data-icon_effect="" data-icon_type="" data-icon_position="" data-icon_size="" data-icon_flip_h="" data-icon_flip_v="" data-avatar_flip_h="" data-avatar_flip_v="" data-src="" data-border_style="" data-border_width="" data-border_color="" data-name_color="" data-status="" data-status_color="" data-avatar_hide="" data-font_size="" data-sound="" data-box_center="" data-text_align="" data-balloon_shadow_color="" data-balloon_full_width="" data-avatar_filter="" data-icon_filter="" data-balloon_filter="" data-status_sound_filename="" data-status_sound_id="" data-status_sound_url="" data-balloon_quote="" />
		<input type="hidden" id="w_b_restore_copy" />
		<style type="text/css" id="w_b_post_page"></style>





	</div>


	<?php
}

