<?php
defined( 'ABSPATH' ) || exit;


function word_balloon_amp_buffer_callback ( $buffer ) {

	if(preg_match('{<html(.*?)(amp|⚡)(.*?)>}', $buffer)){

		$pattern = '{<style(.*?)amp-custom(.*?)>(.*?)</style>}is';
		$match = array();
		$judge = preg_match($pattern, $buffer, $match);

		if($judge && isset($match[3])){

			if(strlen($match[3]) < 46000){
				require_once ABSPATH . 'wp-admin/includes/file.php';
				WP_Filesystem();
				global $wp_filesystem;
				
				$amp_word_balloon = $wp_filesystem->get_contents( WORD_BALLOON_DIR.'css/word_balloon_amp.min.css' );

				$amp_file_size = strlen($amp_word_balloon) + strlen($match[3]);
				if($amp_file_size < 50000){
					
					$buffer = preg_replace($pattern, '<style$1amp-custom$2>$3'.$amp_word_balloon.'</style>', $buffer);
				}
			}
		}

	}
	return $buffer;
}

function word_balloon_amp_buffer_start() {
	ob_start('word_balloon_amp_buffer_callback');
}


function word_balloon_amp_buffer_finish() {
	ob_end_flush();
}

function word_balloon_amp_enable() {

	
	require_once WORD_BALLOON_DIR . 'inc/default_settings.php';
	$load_setting = word_balloon_default_settings('load_setting');

	if($load_setting['amp_enable'] === 'true'){

		require_once ABSPATH . 'wp-admin/includes/plugin.php';

		if(is_plugin_active( 'word-balloon-pro/word-balloon-pro.php' )) {
			$amp_url = $_SERVER["HTTP_HOST"] . $_SERVER["REQUEST_URI"];
			if('/amp/' === substr($amp_url, -5) || '?amp=1' === substr($amp_url, -6)){
				define( 'WORD_BALLOON_AMP', true );
				add_action('after_setup_theme', 'word_balloon_amp_buffer_start');
				add_action('wp_head', 'word_balloon_amp_buffer_finish');
				return;
			}
		}

	}

	define( 'WORD_BALLOON_AMP', false );
}
add_action( 'plugins_loaded', 'word_balloon_amp_enable');
