<?php
defined( 'ABSPATH' ) || exit;

function word_balloon_default_settings($choice){

	require_once WORD_BALLOON_DIR . 'inc/default_balloon_style.php';
	require_once WORD_BALLOON_DIR . 'inc/default_icon_style.php';



	$default_settings = $load_setting = array();
	$default_settings = array(
		'avatar_size' => 'M',
		'avatar_custom_size' => array(
			'S' => 64,
			'M' => 96,
			'L' => 128,
		),
		'avatar_position' => 'L',
		'avatar_border_radius' => 'true',
		'type_radius' => array(
			'false' => _x('Square','Border_radius_name','word-balloon'),
			'radius_3' => _x('3&#37;','Border_radius_name','word-balloon'),
			'radius_12' => _x('12&#37;','Border_radius_name','word-balloon'),
			'radius_20' => _x('20&#37;','Border_radius_name','word-balloon'),
			'true' => _x('Rounded','Border_radius_name','word-balloon'),
		),
		'type_filter' => array(
			'blur' => _x('Blur','filter_name','word-balloon'),
			'brightness' => _x('Brightness','filter_name','word-balloon'),
			'contrast' => _x('Contrast','filter_name','word-balloon'),
			//'drop-shadow' => _x('Drop-shadow','filter_name','word-balloon'),
			'grayscale' => _x('Grayscale','filter_name','word-balloon'),
			'hue-rotate90' => _x('Hue-rotate 90&deg;','filter_name','word-balloon'),
			'hue-rotate180' => _x('Hue-rotate 180&deg;','filter_name','word-balloon'),
			'hue-rotate270' => _x('Hue-rotate 270&deg;','filter_name','word-balloon'),
			'invert' => _x('Invert','filter_name','word-balloon'),
			'opacity' => _x('Opacity','filter_name','word-balloon'),
			'saturate' => _x('Saturate','filter_name','word-balloon'),
			'sepia' => _x('Sepia','filter_name','word-balloon'),
		),

		'avatar_border' => 'false',
		'custom_avatar_border' => array(
			'L' => array(2,'solid','#dddddd'),
			'R' => array(2,'solid','#dddddd'),
		),
		'avatar_shadow' => 'false',
		'avatar_hide' => 'false',
		'custom_avatar_shadow' => array(
			'L1' => array(2,2,3,0,'#888888'),
			'L2' => array(0,0,0,0,'#888888'),
			'R1' => array(-2,2,3,0,'#888888'),
			'R2' => array(0,0,0,0,'#888888'),
		),
		'avatar_priority' => 'false',
		'box_center' => 'false',
		'choice_balloon' => 'talk',
		'balloon_shadow' => 'true',
		'custom_balloon_shadow' => array(
			'L1' => array(2,2,3,0,'#888888'),
			'L2' => array(0,0,0,0,'#888888'),
			'R1' => array(-2,2,3,0,'#888888'),
			'R2' => array(0,0,0,0,'#888888'),
		),
		'balloon_full_width' => 'false',
		'custom_balloon' => array(),
		//'enable_balloon' => array('talk','think','line'),
		'name_position' => 'under_avatar',
		'name_color' => '',
		'type_balloon' => array(
			'talk' => _x('Speech','Balloon_name','word-balloon'),
			'think' => _x('Thought','Balloon_name','word-balloon'),
			'line' => _x('Color','Balloon_name','word-balloon'),
			'round' => _x('Round','Balloon_name','word-balloon'),
			'tail' => _x('Tail','Balloon_name','word-balloon'),
			'bump' => _x('Bump','Balloon_name','word-balloon'),
			'upper' => _x('Upper','Balloon_name','word-balloon'),
			'lower' => _x('Lower','Balloon_name','word-balloon'),
			'soi' => _x('SOi','Balloon_name','word-balloon'),
			'rpg_1' => _x('RPG &#8544;','Balloon_name','word-balloon'),
			'rpg_2' => _x('RPG &#8545;','Balloon_name','word-balloon'),
			'rpg_3' => _x('RPG &#8546;','Balloon_name','word-balloon'),
			'talk_2' => _x('Speech thick','Balloon_name','word-balloon'),
			'bump_2' => _x('Bump Gradation','Balloon_name','word-balloon'),
			'round_2' => _x('Round Gradation','Balloon_name','word-balloon'),
			'heart' => _x('Heart','Balloon_name','word-balloon'),
			'wriggle' => _x('Wriggle','Balloon_name','word-balloon'),
			'freehand' => _x('Free Hand','Balloon_name','word-balloon'),
			'pointy' => _x('Pointy','Balloon_name','word-balloon'),
			'8bit' => _x('8bit','Balloon_name','word-balloon'),
			'8bit_2' => _x('8bit &#8545;','Balloon_name','word-balloon'),
			'tail_2' => _x('Tail thought','Balloon_name','word-balloon'),
			'scream' => _x('Scream','Balloon_name','word-balloon'),
		),
		'fade_balloon' => 'slide_in',
		'type_fade_balloon' => array(
			'slide_in' => _x('Slide in','Fade_balloon','word-balloon'),
			'fade_in' => _x('Fade in','Fade_balloon','word-balloon'),
			'to_standard' => _x('Small size to standard','Fade_balloon','word-balloon'),
			'boing' => _x('Boing','Fade_balloon','word-balloon'),
		),
		'type_effect' => array(
			'up_down' => _x('Up Down','Effect_name','word-balloon'),
			'swing' => _x('Swing','Effect_name','word-balloon'),
			'sway' => _x('Sway','Effect_name','word-balloon'),
			'pulse' => _x('Pulse','Effect_name','word-balloon'),
			'shake' => _x('Shake','Effect_name','word-balloon'),
			'left_right' => _x('Left Right','Effect_name','word-balloon'),
			'clockwise' => _x('Clockwise ','Effect_name','word-balloon'),
			'anticlockwise' => _x('Anticlockwise','Effect_name','word-balloon'),
			'flash' => _x('Flash','Effect_name','word-balloon'),
			'roll_right' => _x('Roll right','Effect_name','word-balloon'),
			'roll_left' => _x('Roll left','Effect_name','word-balloon'),
			'roll_up' => _x('Roll up','Effect_name','word-balloon'),
			'roll_down' => _x('Roll down','Effect_name','word-balloon'),
			'fade_out_up' => _x('Fade out up','Effect_name','word-balloon'),
			'fade_out_down' => _x('Fade out down','Effect_name','word-balloon'),
			'rubber' => _x('Rubber','Effect_name','word-balloon'),
		),
		//'enable_icon' => array(),
		'type_icon' => array(
			'up_arrows' => _x('Up arrows','Icon_name','word-balloon'),
			'down_arrows' => _x('Down arrows','Icon_name','word-balloon'),
			'question' => _x('Question','Icon_name','word-balloon'),
			'heart' => _x('Heart','Icon_name','word-balloon'),
			'hearts' => _x('Hearts','Icon_name','word-balloon'),
			'heart_ss' => _x('Heart','Icon_name','word-balloon') . _x('(side by side)','Icon_name','word-balloon'),
			'anger' => _x('Anger','Icon_name','word-balloon'),
			'exclamation' => _x('Exclamation','Icon_name','word-balloon'),
			'exclamations' => _x('Exclamations','Icon_name','word-balloon'),
			'quaver' => _x('Quaver','Icon_name','word-balloon'),
			'sweat' => _x('Sweat','Icon_name','word-balloon'),
			'sweats' => _x('Sweats','Icon_name','word-balloon'),
			'bummer' => _x('Bummer','Icon_name','word-balloon'),
			'star' => _x('Star','Icon_name','word-balloon'),
			'star_ss' => _x('Star','Icon_name','word-balloon') . _x('(side by side)','Icon_name','word-balloon'),
		),
		'icon_size' => 'M',
		'icon_custom_size' => array(
			'S' => 30,
			'M' => 40,
			'L' => 50,
		),
		'default_icon' => word_balloon_default_icon_style(),
		'custom_icon' => array(),
		'icon_position' => array(
			'top_left' => __('Top left','word-balloon'),
			'top_center' => __('Top center','word-balloon'),
			'top_right' => __('Top right','word-balloon'),
			'center_left' => __('Left center','word-balloon'),
			'center' => __('Center','word-balloon'),
			'center_right' => __('Right center','word-balloon'),
			'bottom_left' => __('Bottom left','word-balloon'),
			'bottom_center' => __('Bottom center','word-balloon'),
			'bottom_right' => __('Bottom right','word-balloon'),
		),
		'template' => array(),
		'wallpaper' => array(),
		'easy_mode' => 'true',
		'easy_mode_hidden' => array(
			'avatar' => 'true',
			'balloon' => 'true',
			'icon' => 'true',
			'effect' => 'true',
			'filter' => 'true',
			'name' => 'true',
			'status' => 'true',
		),
		'panel_type' => array(
			'avatar' => __('Avatar','word-balloon'),
			'balloon' => __('Balloon','word-balloon'),
			'icon' => __('Icon','word-balloon'),
			'effect' => __('Effect','word-balloon'),
			'name' => __('Name','word-balloon'),
			'status' => __('Status','word-balloon'),
		),
		'disable_balloon' => array(),
		'disable_icon' => array(),
		'disable_effect' => array(),
		'disable_filter' => array(),
		'keep_mystery_men' => 'false',
		'status_color' => '',
		'font_size' => '',
		'default_balloon_style' => word_balloon_default_balloon_style(),
		'amp_enable' => 'false',
		'amp_balloon' => 'round',
		'inview' => 'true',
		'enable_sound' => 'true',
		'text_align' => 'L',
		'side_by_side' => 'false',
		'favorite' => array(),
	);

/*
	$i = 1;
	while($i < 6){
		$default_settings = $default_settings + array(
			'template_'. $i => '',
		);
		++$i;
	}
*/
	$load_setting = get_option('word_balloon');
	if ( ! $load_setting ) {
		$load_setting = $default_settings;
	}else{
		include_once( ABSPATH . 'wp-admin/includes/plugin.php' );
		if(is_plugin_active( 'word-balloon-pro/word-balloon-pro.php' )){

			$difference = array_diff_key($default_settings ,$load_setting);

			$load_setting = array_merge($load_setting,$difference);

			$check_key = array('avatar_custom_size','type_radius','type_filter','type_balloon','type_fade_balloon','type_effect','type_icon','icon_custom_size','icon_position','easy_mode_hidden','panel_type');

			foreach ($default_settings as $key => $value) {
				if(in_array($key, $check_key ,true)){
					$difference[$key] = array_diff_key($default_settings[$key] ,$load_setting[$key]);

					$load_setting[$key] = array_merge($load_setting[$key],$difference[$key]);
				}
			}
		}else{
			$default_settings['inview'] = $load_setting['inview'];
			$load_setting = $default_settings;
		}
	}

	if($choice === 'atts'){
		return array(
			'id' => 'mystery_men',
			'name' => '',
			'name_position' => $load_setting['name_position'],
			'name_color' => $load_setting['name_color'],
			'position' => $load_setting['avatar_position'],
			'size' => $load_setting['avatar_size'],
			'radius' => $load_setting['avatar_border_radius'],
			'balloon' => $load_setting['choice_balloon'],
			'balloon_shadow' => $load_setting['balloon_shadow'],
			'balloon_full_width' => $load_setting['balloon_full_width'],
			'avatar_border' => $load_setting['avatar_border'],
			'avatar_shadow' => $load_setting['avatar_shadow'],
			'avatar_hide' => $load_setting['avatar_hide'],
			'font_color' => '',
			'bg_color' => '',
			'font_size' => '',
			'text_align' => $load_setting['text_align'],
			'src' => '',
			'box_center' => $load_setting['box_center'],
			'avatar_effect' => '',
			'balloon_effect' => '',
			'icon_effect' => '',
			'avatar_filter' => '',
			'balloon_filter' => '',
			'icon_filter' => '',
			'icon_type' => '',
			'icon_position' => 'top_left',
			'icon_flip' => '',
			'icon_size' => $load_setting['icon_size'],
			'avatar_flip' => '',
			'border_style' => '',
			'border_width' => '',
			'border_color' => '',
			'balloon_shadow_color' => '',
			'status' => '',
			'status_color' => $load_setting['status_color'],
			'sound' => '',
		);

	}else{
		return $load_setting;
	}



}


