<?php
defined( 'ABSPATH' ) || exit;

function word_balloon_post_page_avatar($load_setting) {
	?>



	<div class="w_b_avatar_contents w_b_option_contents w_b_flex_box w_b_flex_column<?php echo ($load_setting['easy_mode_hidden']['avatar'] === 'true' ? ' w_b_easy_mode' : ''); ?>">
		<span class="w_b_contents_title"><i class="wb-user" aria-hidden="true"></i> <?php _e('Avatar','word-balloon'); ?></span>

		<div class="w_b_flex_box w_b_jc_sb">





			<div class="w_b_avatar_sub_contents">
				<label class="w_b_contents_side_heading"><i class="wb-expand" aria-hidden="true"></i> <?php _e('Size','word-balloon'); ?></label><br>
				<select id="w_b_select_avatar_size" name="avatar_size" class="change_avatar_size">
					<option value="S"<?php selected( $load_setting['avatar_size'], 'S' ); ?>>
						<?php _e('Small','word-balloon'); ?>
					</option>
					<option value="M"<?php selected( $load_setting['avatar_size'], 'M' ); ?>>
						<?php _e('Medium','word-balloon'); ?>
					</option>
					<option value="L"<?php selected( $load_setting['avatar_size'], 'L' ); ?>>
						<?php _e('Large','word-balloon'); ?>
					</option>
				</select>
				<input type="hidden" name="avatar_custom_size[S]" value="<?php echo esc_attr( $load_setting['avatar_custom_size']['S'] ); ?>" id="w_b_avatar_custom_size_S" />
				<input type="hidden" name="avatar_custom_size[M]" value="<?php echo esc_attr( $load_setting['avatar_custom_size']['M'] ); ?>" id="w_b_avatar_custom_size_M" />
				<input type="hidden" name="avatar_custom_size[L]" value="<?php echo esc_attr( $load_setting['avatar_custom_size']['L'] ); ?>" id="w_b_avatar_custom_size_L" />
			</div>

			<div class="w_b_avatar_sub_contents">
				<label class="w_b_contents_side_heading"><i class="wb-refresh" aria-hidden="true"></i> <?php _e('Flip','word-balloon'); ?></label>

				<div class="w_b_flex_box w_b_ai_c w_b_jc_sb">
					<label for="w_b_avatar_flip_h" style=""><?php _e('Horizontal','word-balloon'); ?></label>
					<div class="w_b_checkbox">
						<input type="checkbox" id="w_b_avatar_flip_h" name="avatar_flip_h" />
						<label for="w_b_avatar_flip_h"></label>
					</div>
				</div>
				<div class="w_b_flex_box w_b_ai_c w_b_jc_sb">
					<label for="w_b_avatar_flip_v" style=""><?php _e('Vertical','word-balloon'); ?></label>
					<div class="w_b_checkbox">
						<input type="checkbox" id="w_b_avatar_flip_v" name="avatar_flip_v" />
						<label for="w_b_avatar_flip_v"></label>
					</div>
				</div>

			</div>

			<div class="w_b_avatar_sub_contents">


				<div class="w_b_flex_box w_b_flex_column">
					<div class="w_b_flex_box w_b_ai_c">
						<label class="w_b_contents_side_heading" for="w_b_avatar_border_radius"><i class="wb-square-o" aria-hidden="true"></i> <?php _e('Rounded corners','word-balloon'); ?></label>
					</div>

					<select id="w_b_avatar_border_radius" name="avatar_border_radius">
						<?php
						foreach ($load_setting['type_radius'] as $key => $value) {
							echo '<option value="'.$key.'"';
							selected( $load_setting['avatar_border_radius'], $key );
							echo '>'.$value.'</option>';
						}
						?>
					</select>

				</div>

			</div>

			<div class="w_b_avatar_sub_contents">

				<div class="w_b_flex_box w_b_ai_c w_b_jc_sb">

					<label class="" for="w_b_avatar_border"><?php _e('On border around','word-balloon'); ?></label>
					<div class="w_b_checkbox">
						<input type="checkbox" id="w_b_avatar_border" name="avatar_border" <?php checked( $load_setting['avatar_border'] , 'true'); ?> />
						<label for="w_b_avatar_border"></label>
					</div>




				</div>

				<div class="w_b_flex_box w_b_ai_c w_b_jc_sb">

					<label class="" for="w_b_avatar_shadow"><?php _e('Shadow effect','word-balloon'); ?></label>
					<div class="w_b_checkbox">
						<input id="w_b_avatar_shadow" type="checkbox" name="avatar_shadow" <?php checked( $load_setting['avatar_shadow'] , 'true'); ?> />
						<label for="w_b_avatar_shadow"></label>
					</div>

				</div>







				<div class="w_b_flex_box w_b_ai_c w_b_jc_sb">
					<label for="w_b_avatar_hide" style=""><?php _e('Hide avatar','word-balloon'); ?></label>
					<div class="w_b_checkbox">
						<input type="checkbox" id="w_b_avatar_hide" name="avatar_hide"<?php checked( $load_setting['avatar_hide'] , 'true'); ?> />
						<label for="w_b_avatar_hide"></label>
					</div>
				</div>

			</div>

		</div>

	</div>


	<?php
}

