<?php
defined( 'ABSPATH' ) || exit;

function word_balloon_post_page_balloon($load_setting) {

	
	require_once WORD_BALLOON_DIR . 'inc/custom_balloon_style.php';
	word_balloon_custom_balloon_style($load_setting);


	$border_style = array(
		'none' => esc_html__( 'none', 'word-balloon' ),
		'solid' => esc_html__( 'Solid', 'word-balloon' ),
		'double' => esc_html__( 'Double', 'word-balloon' ),
		'groove' => esc_html__( 'Groove', 'word-balloon' ),
		'ridge' => esc_html__( 'Ridge', 'word-balloon' ),
		'inset' => esc_html__( 'Inset', 'word-balloon' ),
		'outset' => esc_html__( 'Outset', 'word-balloon' ),
		'dashed' => esc_html__( 'Dashed', 'word-balloon' ),
		'dotted' => esc_html__( 'Dotted', 'word-balloon' ),
	);
	?>



	<div class="w_b_balloon_contents w_b_option_contents w_b_flex_box w_b_flex_column<?php echo ($load_setting['easy_mode_hidden']['balloon'] === 'true' ? ' w_b_easy_mode' : ''); ?>">
		<span class="w_b_contents_title"><i class="wb-comment-o" aria-hidden="true"></i> <?php _e('Balloon','word-balloon'); ?></span>


		<div class="">
								<?php /*
								<label class="w_b_contents_side_heading"><i class="wb-paint-brush" aria-hidden="true"></i> <?php _e('Color','word-balloon'); ?></label>
								*/ ?>
								<div class="w_b_flex_box">
									<div class="w_b_color_pick_wrap w_b_balloon_sub_contents">
										<div class="w_b_flex_box w_b_ai_c">
											<label class=""><?php _e('Text','word-balloon'); ?></label>
											<input type="text" name="text_color" class="w_b_color_pick" data-color_change_type="text_color" data-balloon_css="color" />
										</div>
									</div>
									<div class="w_b_color_pick_wrap w_b_balloon_sub_contents w_b_flex_box">
										<div class="w_b_flex_box w_b_ai_c">
											<label class=""><?php _e('Background','word-balloon'); ?></label>
											<input type="text" name="balloon_background" class="w_b_color_pick" data-color_change_type="balloon_background" />
										</div>
									</div>
								</div>
							</div>

							<div class="w_b_border_block">

								<label class="w_b_contents_side_heading w_b_border_label"><i class="wb-square-o" aria-hidden="true"></i> <?php _e('Border','word-balloon'); ?></label>
								<div class="w_b_flex_box w_b_ai_c">
									<div class="w_b_color_pick_wrap w_b_balloon_sub_contents">
										<div class="w_b_flex_box w_b_ai_c">
											<label class=""><?php _e('Color','word-balloon'); ?></label>
											<input type="text" name="balloon_border_color" class="w_b_color_pick" data-color_change_type="balloon_border_color" />
										</div>
									</div>

									<div class="w_b_color_pick_wrap w_b_balloon_sub_contents">
										<div class="w_b_flex_box w_b_ai_c">
											<label class=""><?php _e('Shadow Color','word-balloon'); ?></label>
											<input type="text" name="balloon_shadow_color" class="w_b_color_pick" data-color_change_type="balloon_shadow_color" />
										</div>
									</div>

									<div class="w_b_border_style_wrap w_b_balloon_sub_contents">
										<div class="w_b_flex_box w_b_ai_c w_b_jc_sb">

											<label class=""><?php _e('Style','word-balloon'); ?></label>
											<select name="balloon_border_style" class="w_b_balloon_border_custom" data-balloon_css="border-style">
												<?php
												foreach ($border_style as $bs_key => $bs_value) {
													echo '<option value="'.$bs_key.'">'.$bs_value.'</option>';
												}
												?>
											</select>

										</div>
									</div>
									<div class="w_b_border_width_wrap w_b_balloon_sub_contents">
										<div class="w_b_flex_box w_b_ai_c w_b_jc_sb">
											<label class="" for="w_b_custom_border_width">
												<?php _e( 'Width','word-balloon' ); ?>
											</label>
											<input type="number" name="balloon_border_width" class="w_b_balloon_border_custom" value="" data-balloon_css="border-width" id="w_b_custom_border_width" min="1" max="50" />

										</div>
									</div>
								</div>

							</div>

							<div class="w_b_balloon_sub_contents">
<?php /*
								<label class="w_b_contents_side_heading"><i class="wb-cogs" aria-hidden="true"></i> <?php _e('Option','word-balloon'); ?></label>
*/ ?>
<div class="w_b_flex_box w_b_ai_c w_b_jc_sb">

	<div class="w_b_flex_box w_b_ai_c">
		<label class="" for="w_b_font_size"><?php _e('Font size','word-balloon'); ?></label>
		<select id="w_b_font_size" name="font_size" style="width:auto">
			<?php
			$i = 6;
			while($i<16){
				echo '<option value="'.$i.'"';
				selected( $load_setting['font_size'], $i );
				echo '>'.$i.'</option>';
				++$i;
			}
			echo '<option value=""';
			selected( $load_setting['font_size'], '' );
			echo '></option>';
			while($i<33){
				echo '<option value="'.$i.'"';
				selected( $load_setting['font_size'], $i );
				echo '>'.$i.'</option>';
				++$i;
			}
			?>
		</select>px
		<input type="hidden" name="font_size_default" value="<?php echo esc_attr( $load_setting['font_size'] ); ?>" id="w_b_font_size_default" />
	</div>


	<div class="w_b_flex_box w_b_ai_c">
		<label class="" for="w_b_text_align"><?php _e('Text alignment','word-balloon'); ?></label>
		<select id="w_b_text_align" name="text_align" style="width:auto">
			<option value="L"<?php selected( $load_setting['text_align'], 'L' ); ?>>
				<?php _e('Left','word-balloon'); ?>
			</option>
			<option value="C"<?php selected( $load_setting['text_align'], 'C' ); ?>>
				<?php _e('Center','word-balloon'); ?>
			</option>
			<option value="R"<?php selected( $load_setting['text_align'], 'R' ); ?>>
				<?php _e('Right','word-balloon'); ?>
			</option>
		</select>
		<input type="hidden" name="text_align_default" value="<?php echo esc_attr( $load_setting['text_align'] ); ?>" id="w_b_font_size_default" />
	</div>

	<div class="">
		<div class="w_b_flex_box w_b_ai_c w_b_jc_sb">
			<label class="" for="w_b_balloon_shadow"><?php _e('Shadow effect','word-balloon'); ?></label>
			<div class="w_b_checkbox">
				<input id="w_b_balloon_shadow" type="checkbox" name="balloon_shadow"<?php checked( $load_setting['balloon_shadow'] , 'true'); ?> />
				<label for="w_b_balloon_shadow"></label>
			</div>
		</div>
		<div class="w_b_flex_box w_b_ai_c w_b_jc_sb" style="margin-top:10px;">
			<label class="" for="w_b_balloon_full_width"><?php _e('Full width','word-balloon'); ?></label>
			<div class="w_b_checkbox">
				<input id="w_b_balloon_full_width" type="checkbox" name="balloon_full_width"<?php checked( $load_setting['balloon_full_width'] , 'true'); ?> />
				<label for="w_b_balloon_full_width"></label>
			</div>
		</div>
	</div>
</div>
</div>






</div>




<?php
}

