<?php
defined( 'ABSPATH' ) || exit;

function word_balloon_build_balloon( $atts , $array , $content , $textarea){

	$load_setting = word_balloon_default_settings('load_setting');


	
	require_once WORD_BALLOON_DIR . 'inc/shortcode/shortcode_build_balloon_box.php';

	
	require_once WORD_BALLOON_DIR . 'inc/shortcode/shortcode_build_avatar.php';

	
	wp_enqueue_style('word_balloon_skin_'.$atts['balloon'], WORD_BALLOON_URI . 'css/skin/word_balloon_'.$atts['balloon'].'.min.css',array('word_balloon_user_style'),WORD_BALLOON_VERSION);

	if(defined('WORD_BALLOON_AMP')){
		if(WORD_BALLOON_AMP){
			if($atts['balloon'] != 'talk' && $atts['balloon'] != 'think'){
				$atts['balloon'] = $load_setting['amp_balloon'];
			}
			$atts['balloon_effect'] = $atts['avatar_effect'] = $atts['icon_type'] = $atts['icon_effect'] = $atts['sound'] = '';
		}
	}


	if($load_setting['inview'] === 'true' && !is_admin() ){
		wp_enqueue_style( 'word_balloon_inview_style', WORD_BALLOON_URI . 'css/word_balloon_inview.min.css' , array() , WORD_BALLOON_VERSION);
		wp_enqueue_script( 'polyfill_IntersectionObserver', 'https://polyfill.io/v2/polyfill.min.js?features=IntersectionObserver', array(), null , true );
		wp_enqueue_script('word_balloon_inview_script', WORD_BALLOON_URI . 'js/word_balloon_inview.js',array('polyfill_IntersectionObserver'),WORD_BALLOON_VERSION,true);
	}

	$box_padding_top = $background_style = $flex_end = $flex_center = '';

	if($atts['id'] === 'mystery_men'){
		$atts['src'] = WORD_BALLOON_URI . 'img/mystery_men.svg';
		if($atts['name'] === 'false'){
			$atts['name'] = '';
		}elseif($atts['name'] === ''){
			$atts['name'] = __('Mystery Men','word-balloon');
		}
	}elseif($atts['id'] === 'unset'){
		if($atts['name'] === 'false'){
			$atts['name'] = '';
		}
	}else{
		foreach($array as $key => $value){
			if($value['id'] === $atts['id']){
				$atts['src'] = $value['url'];
				if($atts['name'] === 'false'){
					$atts['name'] = '';
				}elseif($atts['name'] === ''){
					$atts['name'] = $value['name'];
				}
			}
		}
	}

	$full_width = '';
	if($atts['balloon_full_width'] != 'false'){
		$full_width = ' w_b_w100';
	}

	$margin_left_auto = ' w_b_mla';
	if($atts['box_center'] === 'true'){
		$flex_center .= ' w_b_jc_c w_b_mla w_b_mra';
		$margin_left_auto = '';
	}

	if($atts['balloon'] === 'rpg_3'){
		if($atts['position'] === 'L') $flex_end .= ' w_b_ml14';
		if($atts['position'] === 'R') $flex_end .= ' w_b_mr14';
	}

	if($atts['position'] === 'L') {
		$flex_center .= ' w_b_mra';
	}

	if($atts['position'] === 'R') {
		$flex_end .= ' w_b_jc_fe'.$margin_left_auto;
		$flex_center .= ' w_b_mla';
	}


	if($atts['balloon'] === 'upper' || $atts['balloon'] === 'lower'){
		if($atts['position'] === 'L') $flex_end = ' w_b_col w_b_ai_fs';
		if($atts['position'] === 'R') $flex_end = ' w_b_col w_b_ai_fe'.$margin_left_auto;
		if($atts['position'] === 'R' && $atts['box_center'] === 'true') $flex_end = ' w_b_col w_b_ai_fe';
	}



	$msg = '<div class="w_b_box w_b_flex'.$flex_center.'">';
	$msg .= '<div class="w_b_wrap w_b_flex'.$flex_end.$full_width.'">';



	if( ($atts['position'] === 'L' && $atts['balloon'] != 'upper') || $atts['balloon'] === 'lower' ){
		$msg .= word_balloon_build_avatar_box( $atts );

		$msg .= word_balloon_build_balloon_box( $atts , $content , $textarea );

	}else{

		$msg .= word_balloon_build_balloon_box( $atts , $content , $textarea );

		$msg .= word_balloon_build_avatar_box( $atts );
	}



	$msg .= '</div></div>';

	return $msg;

}


