<?php
defined( 'ABSPATH' ) || exit;

add_shortcode('word_balloon_wallpaper', 'word_balloon_shortcode_wallpaper');

function word_balloon_shortcode_wallpaper( $atts, $content = null ) {
	$style = $style_background_color = $style_image = $style_border = $border_radius = '';
	if(isset($atts['id'])){
		
		require_once WORD_BALLOON_DIR . 'inc/default_settings.php';
		$load_setting = word_balloon_default_settings('load_setting');
		if( isset( $load_setting['wallpaper'][$atts['id']]["image"] ) ){
			if($load_setting['wallpaper'][$atts['id']]["image"] != '')
				$style_image = 'background-image:url('.esc_url($load_setting['wallpaper'][$atts['id']]["image"]).');';
		}
		if( isset( $load_setting['wallpaper'][$atts['id']]["background_color"] ) ){
			$style_background_color = 'background-color:'.$load_setting['wallpaper'][$atts['id']]["background_color"].';';
		}
		if( isset( $load_setting['wallpaper'][$atts['id']]["border_style"] ) ){
			if($load_setting['wallpaper'][$atts['id']]["border_style"]!='none'){
				$style_border = 'border:'.$load_setting['wallpaper'][$atts['id']]["border_style"].' '.$load_setting['wallpaper'][$atts['id']]["border_width"].'px '.$load_setting['wallpaper'][$atts['id']]["border_color"].';';
			}
		}
		if( isset( $load_setting['wallpaper'][$atts['id']]["border_radius"] ) ){
			if($load_setting['wallpaper'][$atts['id']]["border_radius"]!=0){
				$border_radius = 'border-radius:'.$load_setting['wallpaper'][$atts['id']]["border_radius"].'px;';
			}
		}

		if($style_image || $style_background_color){
			$style = ' style="'.$style_image.$style_background_color.$style_border.$border_radius.'padding:20px 5px;"';
		}
	}
	$content = do_shortcode( shortcode_unautop( $content ) );
	return '<div class="w_b_wallpaper"'.$style.'>' . $content . '</div>';
}

